
/* mobile nav */

.header-wrap { padding:20px 0; background-color:var(--cms-black); } 
.nav-relative { display:block; }
.nav-hold { width:100%; height:50px; }

.nav-logo { float:left; width:187px; height:50px; }
.nav-logo a { display:block; width:187px; height:50px; }
.nav-toggle a { float:right; font-size:24px; line-height:50px; color:var(--cms-white); }
.nav-toggle a:hover { color:var(--cms-white);  }

#nav-drawer { display:none }

#primary-nav { padding-top:32px; }
#primary-nav ul { margin:0; padding:0; }  
#primary-nav ul li { list-style: none; margin:0; padding:0; width:100%; }
#primary-nav ul li.leaf-search { display:none; }
#primary-nav ul li div.menu-set { display:table; border-top:2px solid var(--cms-blue); width:100%; }
#primary-nav ul li div.menu-set a {
  display:table-cell;
  width:90%;
  text-align:left;
  vertical-align:top;
  padding:12px 0px;
  color:var(--cms-white);
  font-size:1.1rem;
  line-height:1.8;
  font-weight:600;
  letter-spacing:0.100rem;
  text-transform:uppercase;
  text-decoration:none;
}

#primary-nav ul li div.menu-set a.subnav-toggle { width:10%; text-align:right; }
#primary-nav ul li div.menu-set a:hover { color:var(--cms-white); }

#primary-nav ul ul { display:none; margin:0; padding:8px 0px 24px 0px; }

#primary-nav ul li ul li a { /*dropdowns*/
  display: block;
  padding:12px 4px 12px 20px;
  font-size:1rem;
  line-height:1.1rem;
  font-weight:400;
  text-transform:none;
  color:var(--cms-white);
  text-decoration:none;
}

#primary-nav ul li ul li a:hover { color:var(cc-pnav-hover); }

#secondary-nav { padding-bottom:24px; }

.nav-utility { display:block; }
.nav-links { display:table; width:240px; margin:48px auto; }
.nav-links span { display:table-cell; width:120px; text-align:center; }
.nav-links span a { display:block; width:90px; margin:0 auto; }

.nav-search { color:inherit; }

#site-search {
  display:table;
  width:100%;	
  padding:8px 24px;
  margin:20px 0 0 0;
  border:1px solid var(--cms-blue);
  border-radius:40px;
  text-align:left;
}

#site-search input[type="text"]{
  display:table-cell;	
  font-size:16px;
  line-height:24px;
  color:white;
  background:transparent;
  border:none;
  padding:0;
  margin:0;
  width:90%;
  text-align:left;  
  vertical-align:middle;
  outline:0;
}

#site-search button {
  display:table-cell;
  font-size:14px;
  line-height:24px;
  color:var(--cms-white);
  background:transparent;
  border:none;
  margin:0;
  padding:0;
  width:10%;
  text-align:right;
  vertical-align:middle;
}

#site-search ::-webkit-input-placeholder { color:var(--cms-white); opacity: 0.8; }
#site-search :-moz-placeholder { color:var(--cms-white); opacity: 0.8; }
#site-search ::-moz-placeholder { color:var(--cms-white); opacity: 0.8; }
#site-search :-ms-input-placeholder { color:var(--cms-white); opacity: 0.8; }

#header-wave { display:none; }

/* desktop nav */
@media all and (min-width: 1200px) {
  
  .header-wrap { padding:0; position:relative; }
  .nav-relative { position:relative; width:100%; height:140px; z-index:4; }
  .nav-hold { display:block; position:absolute; top:40px; left:0px; width:225px; height:60px; }
  .nav-logo { float:left; width:225px; height:60px; }
  .nav-logo a { display:block; width:225px; height:60px; }
  .nav-toggle { display:none; }

   #nav-drawer { display:block!important; } /* slidetoggle fix */
  
  /* primary-nav */
   
  #primary-nav { position:absolute; top:49px; right:-20px; width:auto; height:52px; padding:0; }
  #primary-nav ul { display:block; float:right; }
  #primary-nav ul li, #primary-nav ul li.leaf-search { display:block; float:left; width:auto; }
  #primary-nav ul li.leaf-search { display:block; }
  #primary-nav ul li div.menu-set { display:table; border:none; width:auto; }
  #primary-nav ul li div.menu-set a {
    width: auto;
    padding: 12px 16px 12px 16px;
    font-size:17px;
    line-height:20px;
  }
  
  #primary-nav ul li div.menu-set a.subnav-toggle { display:none; }
  #primary-nav ul li div.menu-set:hover a { color:var(--cms-white); }

  #primary-nav ul li:hover a { background-color:transparent; }
  #primary-nav ul li a:hover { color:var(--cms-white); }

  /* drop down lists */

  #primary-nav ul li ul { 
    position: absolute;
    width: 220px;
    height:auto;
    padding:20px 0px;
    background-color:var(--cms-black);
    display:none;
  }

  #primary-nav ul li:hover > ul { display:block !important; left: auto; z-index:9999; } 
  @media all and (min-width: 992px) { #primary-nav li:last-child:hover > ul { right:0px; } }
  
  #primary-nav ul li ul li { width:200px; }
  #primary-nav ul li ul li a {
    width:100%;
    padding:6px 24px;
       font-size:16px;
    line-height:1.5;
    background-color:var(--cty-pnav-dropdown);
  }


  /* secondary nav */

  #secondary-nav { position:absolute; top:45px; left:240px; width:auto; height:50px; margin:0; padding:0; }
  .nav-utility { display:block; }
  .nav-links { display:table; width:220px; margin:0 auto; }
  .nav-links span { display:table-cell; width:50%; text-align:center; }
  .nav-links span a { display:block; width:75px; margin:0 auto; }
  #site-search { display:none; }


  #header-wave { display:none; }


}

@media all and (min-width: 1360px) {

  #header-wave { 
    display:block; 
    position:absolute; 
    z-index:1;
    top:0px; 
    right:0px; 
    width:220px;
    height:140px; 
    background:url('https://ctycms.com/tx-centro-san-antonio/header-wave-220x144.svg') top right no-repeat;
  }

  #secondary-nav { left:260px; }
  #primary-nav { right:130px; }

}